<?php
error_reporting(0);
//----------
include ('inc/config.inc.php.php');
//----------
session_name('sid');
session_start();
//----------
connect_to_db();
include ('inc/autorize.php.php');
include ('inc/online.php.php');
$rands = rand(1000, 10000);
//----------
$partner = intval($_GET['partner']); if ($partner == 0) $partner = 1;
//----------
$arr = mysql_query("SELECT COUNT(*) FROM `love_partner`;");
$part_users = mysql_result($arr, 0);
if($partner > $part_users) $partner = 1;
//----------
$partner_arr = @mysql_query("SELECT * FROM `love_partner` WHERE `partner` = ".$partner." LIMIT 1;");
$row = @mysql_fetch_array($partner_arr);
$partner_site = $row['site'];
$partner_name = $row['name'];
//----------
if (!$autorize) {
header('Location: index.php?partner='.$partner.'&mod='.$mod.'&'.$srand.'='.$r_rand);
exit();
}
//-----------
$title = 'Анкета';
include ('header.php');
echo $header;
if($mod == '1') echo '<p align="center"><small>';
if(isset($_GET['up'])) $up = $_GET['up']; else $up = "0";
switch ($up) {
case "0":
echo $class_d2;
echo 'Анкета <b>'.$nick.'</b><br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
echo '-&#187; <a href="editprofile.php?up=1&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Обо мне</a><br/>';
echo '-&#187; <a href="editprofile.php?up=2&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Знакомства</a><br/>';
echo '-&#187; <a href="editprofile.php?up=3&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Сексуальные предпочтения</a><br/>';
echo $class_divz;
break;

case "1":
echo $class_d2;
echo 'Анкета: Обо мне <b>'.$nick.'</b><br/>';
echo $class_divz;
if($mod == '1') echo '</small></p><p align="left"><small>';
if (@$go !== 'go') {
if($mod == '1') {
echo 'Несколько слов о себе:</small><br/>';
echo '<input name="nm'.$rands.'" type="text" maxlength="250" value="'.$autorize['about'].'" /><br/>';
echo '<select name="nm5'.$rands.'"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo '<small>Рост:</small><br/>';
echo '<input name="nm1'.$rands.'" size="3" type="text" maxlength="3" value="'.$autorize['rost'].'" /><br/>';
echo '<small>Вес:</small><br/>';
echo '<input name="nm2'.$rands.'" size="3" type="text" maxlength="3" value="'.$autorize['ves'].'" /><br/>';
echo '<small>Волосы:</small><br/>';
echo '<select size="1" name="nm3'.$rands.'">';
for($i = 0; $i <= 7; $i++)
{
$cvolos_array = array('-выберите-', 'светлые', 'темные', 'рыжие', 'мелированные', 'яркие', 'седые', 'голова бритая наголо');
echo '<option value="'.$i.'"';
if($autorize['cvolos'] == $i) echo ' selected="selected" ';
echo '>'.$cvolos_array[$i].'</option>';
}
echo '</select><br/>';

echo '<small>Телосложение:</small><br/>';
echo '<select size="1" name="nm4'.$rands.'">';
for($i = 0; $i <= 6; $i++)
{
$telosl_array = array('-выберите-', 'худощавое', 'обычное', 'спортивное', 'мускулистое', 'плотное', 'полное');
echo '<option value="'.$i.'"';
if($autorize['telosl'] == $i) echo ' selected="selected" ';
echo '>'.$telosl_array[$i].'</option>';
}
echo '</select><br/>';
echo '<small><anchor>Сохранить<go href="editprofile.php?up=1&amp;go=go&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" method="post">';
echo "<postfield name='nm' value='$(nm".$rands.")' />";
echo "<postfield name='nm1' value='$(nm1".$rands.")' />";
echo "<postfield name='nm2' value='$(nm2".$rands.")' />";
echo "<postfield name='nm3' value='$(nm3".$rands.")' />";
echo "<postfield name='nm4' value='$(nm4".$rands.")' />";
echo "<postfield name='nm5' value='$(nm5".$rands.")' />";
echo '</go></anchor><br/>';
}
else
{
echo '<form action="editprofile.php?up=1&amp;go=go&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" method="post">';
echo $class_d1;
echo 'Несколько слов о себе:<br/>';
echo '<input name="nm" type="text" maxlength="250" value="'.$autorize['about'].'" class="button" /><br/>';
echo '<select name="nm5" class="button"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo 'Рост:<br/>';
echo '<input name="nm1" size="3" type="text" maxlength="3" value="'.$autorize['rost'].'" class="button" /><br/>';
echo 'Вес:<br/>';
echo '<input name="nm2" size="3" type="text" maxlength="3" value="'.$autorize['ves'].'" class="button" /><br/>';
echo 'Волосы:<br/>';
echo '<select size="1" name="nm3" class="button">';
for($i = 0; $i <= 7; $i++)
{
$cvolos_array = array('-выберите-', 'светлые', 'темные', 'рыжие', 'мелированные', 'яркие', 'седые', 'голова бритая наголо');
echo '<option value="'.$i.'"';
if($autorize['cvolos'] == $i) echo ' selected="selected" ';
echo '>'.$cvolos_array[$i].'</option>';
}
echo '</select><br/>';

echo 'Телосложение:<br/>';
echo '<select size="1" name="nm4" class="button">';
for($i = 0; $i <= 6; $i++)
{
$telosl_array = array('-выберите-', 'худощавое', 'обычное', 'спортивное', 'мускулистое', 'плотное', 'полное');
echo '<option value="'.$i.'"';
if($autorize['telosl'] == $i) echo ' selected="selected" ';
echo '>'.$telosl_array[$i].'</option>';
}
echo '</select><br/>';
echo '<input type="submit" value="Сохранить" class="do_button" />';
echo $class_divz;
echo '</form>';
}
}
else
{
echo $class_d1;
$nm = mysql_escape_string(htmlspecialchars($_POST['nm']));
$nm = substr($nm, 0, 250);
$nm1 = intval($_POST['nm1']);
$nm2 = intval($_POST['nm2']);
$nm3 = intval($_POST['nm3']);
$nm4 = intval($_POST['nm4']);
$nm5 = intval($_POST['nm5']);
if($nm5 == 1) $nm = translit($nm);
//-----------
$sql = @mysql_query("UPDATE `love_user` SET `about` = '".$nm."', `rost` = '".$nm1."', `ves` = '".$nm2."', `cvolos` = '".$nm3."', `telosl` = '".$nm4."' WHERE `id` = '".intval($autorize['id'])."';");
//-----------
if($sql) { echo 'Данные успешно сохранены!<br/>'; } else { echo 'При сохранении произошла ошибка!<br/>'; echo @mysql_error().'<br/>'; }
echo $class_divz;
}
break;

case "2":
$arr = @mysql_query("SELECT `ya_ishu`, `brak`, `sponsor`, `deti`, `zhel_vozr`, `cel_zn` FROM `love_nastr` WHERE `uid` = ".intval($autorize['id'])." LIMIT 1;");
$row = @mysql_fetch_array($arr);
$row_id = $row['uid'];
echo $class_d2;
echo 'Анкета: Знакомства <b>'.$nick.'</b><br/>';
echo $class_divz;
if($mod == '1') echo '</small></p><p align="left"><small>';
if (@$go !== 'go') {
if($mod == '1') {
echo 'Кого я хочу найти:</small><br/>';
echo '<input name="nm'.$rands.'" type="text" maxlength="250" value="'.mysql_escape_string(htmlspecialchars($row['ya_ishu'])).'" /><br/>';
echo '<select name="nm7'.$rands.'"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo '<small>Состоите ли вы в браке?</small><br/>';
echo '<select size="1" name="nm1'.$rands.'">';
for($i = 0; $i <= 4; $i++)
{
$brak_array = array('-выберите-', 'да, живем вместе', 'да, живем порознь', 'да, "для вида"', 'нет');
echo '<option value="'.$i.'"';
if($row['brak'] == $i) echo ' selected="selected" ';
echo '>'.$brak_array[$i].'</option>';
}
echo '</select><br/>';

echo '<small>Материальная поддержка:</small><br/>';
echo '<select size="1" name="nm2'.$rands.'">';
for($i = 0; $i <= 3; $i++)
{
$sponsor_array = array('-выберите-', 'хочу найти спонсора', 'готов стать спонсором', 'не нуждаюсь в спонсоре и не хочу им быть');
echo '<option value="'.$i.'"';
if($row['sponsor'] == $i) echo ' selected="selected" ';
echo '>'.$sponsor_array[$i].'</option>';
}
echo '</select><br/>';

echo '<small>Есть ли у вас дети?</small><br/>';
echo '<select size="1" name="nm3'.$rands.'">';
for($i = 0; $i <= 4; $i++)
{
$deti_array = array('-выберите-', 'нет', 'нет, но хотелось бы', 'есть, живем вместе', 'есть, живем порознь');
echo '<option value="'.$i.'"';
if($row['deti'] == $i) echo ' selected="selected" ';
echo '>'.$deti_array[$i].'</option>';
}
echo '</select><br/>';

echo '<small>Кого вы ищете:</small><br/>';
echo '<select size="1" name="nm6'.$rands.'">';
for($i = 0; $i <= 6; $i++)
{
$ishu_array = array('-выберите-', 'парня', 'девушку', 'парня, девушку', 'пару М+Ж', 'пару М+М', 'пару Ж+Ж');
echo '<option value="'.$i.'"';
if($autorize['ishu'] == $i) echo ' selected="selected" ';
echo '>'.$ishu_array[$i].'</option>';
}
echo '</select><br/>';

echo '<small>Желаемый возраст:</small><br/>';
echo '<select size="1" name="nm4'.$rands.'">';
for($i = 0; $i <= 10; $i++)
{
$zhel_vozr_array = array('-выберите-', 'менее 18', '18-20', '21-25', '26-30', '31-35', '36-40', '41-50', '51-60', '61-80', 'более 80');
echo '<option value="'.$i.'"';
if($row['zhel_vozr'] == $i) echo ' selected="selected" ';
echo '>'.$zhel_vozr_array[$i].'</option>';
}
echo '</select><br/>';

echo '<small>Цель знакомства:</small><br/>';
echo '<select size="1" name="nm5'.$rands.'">';
for($i = 0; $i <= 14; $i++)
{
$cel_zn_array = array('-выберите-', 'дружба и общение', 'переписка', 'любовь и отношения', 'регулярный секс в двоем', 'секс на один-два раза', 'групповой секс', 'виртуальный секс', 'предлагаю интим за деньги', 'ищу интим за деньги', 'брак, создание семьи', 'рождение, воспитание ребенка', 'брак "для вида"', 'совместная аренда жилья', 'занятия спортом');
echo '<option value="'.$i.'"';
if($row['cel_zn'] == $i) echo ' selected="selected" ';
echo '>'.$cel_zn_array[$i].'</option>';
}
echo '</select><br/>';
echo '<small><anchor>Сохранить<go href="editprofile.php?up=2&amp;go=go&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" method="post">';
echo "<postfield name='nm' value='$(nm".$rands.")' />";
echo "<postfield name='nm1' value='$(nm1".$rands.")' />";
echo "<postfield name='nm2' value='$(nm2".$rands.")' />";
echo "<postfield name='nm3' value='$(nm3".$rands.")' />";
echo "<postfield name='nm4' value='$(nm4".$rands.")' />";
echo "<postfield name='nm5' value='$(nm5".$rands.")' />";
echo "<postfield name='nm6' value='$(nm6".$rands.")' />";
echo "<postfield name='nm7' value='$(nm7".$rands.")' />";
echo '</go></anchor><br/>';
}
else
{
echo '<form action="editprofile.php?up=2&amp;go=go&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" method="post">';
echo $class_d1;
echo 'Кого я хочу найти:<br/>';
echo '<input name="nm" type="text" maxlength="250" value="'.mysql_escape_string(htmlspecialchars($row['ya_ishu'])).'" class="button" /><br/>';
echo '<select name="nm7" class="button"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo 'Состоите ли вы в браке?<br/>';
echo '<select size="1" name="nm1" class="button">';
for($i = 0; $i <= 4; $i++)
{
$brak_array = array('-выберите-', 'да, живем вместе', 'да, живем порознь', 'да, "для вида"', 'нет');
echo '<option value="'.$i.'"';
if($row['brak'] == $i) echo ' selected="selected" ';
echo '>'.$brak_array[$i].'</option>';
}
echo '</select><br/>';

echo 'Материальная поддержка:<br/>';
echo '<select size="1" name="nm2" class="button">';
for($i = 0; $i <= 3; $i++)
{
$sponsor_array = array('-выберите-', 'хочу найти спонсора', 'готов стать спонсором', 'не нуждаюсь в спонсоре и не хочу им быть');
echo '<option value="'.$i.'"';
if($row['sponsor'] == $i) echo ' selected="selected" ';
echo '>'.$sponsor_array[$i].'</option>';
}
echo '</select><br/>';

echo 'Есть ли у вас дети?<br/>';
echo '<select size="1" name="nm3" class="button">';
for($i = 0; $i <= 4; $i++)
{
$deti_array = array('-выберите-', 'нет', 'нет, но хотелось бы', 'есть, живем вместе', 'есть, живем порознь');
echo '<option value="'.$i.'"';
if($row['deti'] == $i) echo ' selected="selected" ';
echo '>'.$deti_array[$i].'</option>';
}
echo '</select><br/>';

echo 'Кого вы ищете:<br/>';
echo '<select size="1" name="nm6" class="button">';
for($i = 0; $i <= 6; $i++)
{
$ishu_array = array('-выберите-', 'парня', 'девушку', 'парня, девушку', 'пару М+Ж', 'пару М+М', 'пару Ж+Ж');
echo '<option value="'.$i.'"';
if($autorize['ishu'] == $i) echo ' selected="selected" ';
echo '>'.$ishu_array[$i].'</option>';
}
echo '</select><br/>';

echo 'Желаемый возраст:<br/>';
echo '<select size="1" name="nm4" class="button">';
for($i = 0; $i <= 10; $i++)
{
$zhel_vozr_array = array('-выберите-', 'менее 18', '18-20', '21-25', '26-30', '31-35', '36-40', '41-50', '51-60', '61-80', 'более 80');
echo '<option value="'.$i.'"';
if($row['zhel_vozr'] == $i) echo ' selected="selected" ';
echo '>'.$zhel_vozr_array[$i].'</option>';
}
echo '</select><br/>';

echo 'Цель знакомства:<br/>';
echo '<select size="1" name="nm5" class="button">';
for($i = 0; $i <= 14; $i++)
{
$cel_zn_array = array('-выберите-', 'дружба и общение', 'переписка', 'любовь и отношения', 'регулярный секс в двоем', 'секс на один-два раза', 'групповой секс', 'виртуальный секс', 'предлагаю интим за деньги', 'ищу интим за деньги', 'брак, создание семьи', 'рождение, воспитание ребенка', 'брак "для вида"', 'совместная аренда жилья', 'занятия спортом');
echo '<option value="'.$i.'"';
if($row['cel_zn'] == $i) echo ' selected="selected" ';
echo '>'.$cel_zn_array[$i].'</option>';
}
echo '</select><br/>';
echo '<input type="submit" value="Сохранить" class="do_button" />';
echo $class_divz;
echo '</form>';
}
}
else
{
echo $class_d1;
$nm = mysql_escape_string(htmlspecialchars($_POST['nm']));
$nm = substr($nm, 0, 250);
$nm1 = intval($_POST['nm1']);
$nm2 = intval($_POST['nm2']);
$nm3 = intval($_POST['nm3']);
$nm4 = intval($_POST['nm4']);
$nm5 = intval($_POST['nm5']);
$nm6 = intval($_POST['nm6']);
$nm7 = intval($_POST['nm7']);
if($nm7 == 1) $nm = translit($nm);
//----------
$sql = @mysql_query("UPDATE `love_nastr` SET `ya_ishu` = '".$nm."', `brak` = '".$nm1."', `sponsor` = '".$nm2."', `deti` = '".$nm3."', `zhel_vozr` = '".$nm4."', `cel_zn` = '".$nm5."' WHERE `uid` = '".intval($autorize['id'])."' LIMIT 1;");
@mysql_query("UPDATE `love_user` SET `ishu` = '".$nm6."' WHERE `id` = '".intval($autorize['id'])."' LIMIT 1;");
if($sql) { echo 'Данные успешно сохранены!<br/>'; } else { echo 'При сохранении произошла ошибка!<br/>'; echo @mysql_error().'<br/>'; }
echo $class_divz;
}
break;

case "3":
echo $class_d2;
echo 'Анкета: Сексуальные предпочтения <b>'.$nick.'</b><br/>';
echo $class_divz;
if($mod == '1') echo '</small></p><p align="left"><small>';
if (@$go !== 'go') {
if($mod == '1') {
echo 'В сексе я люблю:</small><br/>';
echo '<input name="nm'.$rands.'" type="text" maxlength="250" value="'.$autorize['i_sex'].'" /><br/>';
echo '<select name="nm3'.$rands.'"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
if ($autorize['pol'] == 2) {
echo '<small>Размер груди:</small><br/>';
echo '<select size="1" name="nm1'.$rands.'">';
for($i = 0; $i <= 3; $i++)
{
$chlen_grud_array = array('-выберите-', 'маленькая', 'средняя', 'большая');
echo '<option value="'.$i.'"';
if($autorize['chlen_grud'] == $i) echo ' selected="selected" ';
echo '>'.$chlen_grud_array[$i].'</option>';
}
echo '</select><br/>';
}
else
{
echo '<small>Размер члена:</small><br/>';
echo '<select size="1" name="nm1'.$rands.'">';
for($i = 0; $i <= 4; $i++)
{
$chlen_grud_array = array('-выберите-', 'до 10 см', '10-15 см', '16-20 см', 'больше 20 см');
echo '<option value="'.$i.'"';
if($autorize['chlen_grud'] == $i) echo ' selected="selected" ';
echo '>'.$chlen_grud_array[$i].'</option>';
}
echo '</select><br/>';
}
echo '<small>Ориентация:</small><br/>';
echo '<select size="1" name="nm2'.$rands.'">';
for($i = 0; $i <= 3; $i++)
{
$orient_array = array('-выберите-', 'гетеро', 'би', 'гей');
echo '<option value="'.$i.'"';
if($autorize['orient'] == $i) echo ' selected="selected" ';
echo '>'.$orient_array[$i].'</option>';
}
echo '</select><br/>';
echo '<small><anchor>Сохранить<go href="editprofile.php?up=3&amp;go=go&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" method="post">';
echo "<postfield name='nm' value='$(nm".$rands.")' />";
echo "<postfield name='nm1' value='$(nm1".$rands.")' />";
echo "<postfield name='nm2' value='$(nm2".$rands.")' />";
echo "<postfield name='nm3' value='$(nm3".$rands.")' />";
echo '</go></anchor><br/>';
}
else
{
echo '<form action="editprofile.php?up=3&amp;go=go&amp;partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" method="post">';
echo $class_d1;
echo 'В сексе я люблю:<br/>';
echo '<input name="nm" type="text" maxlength="250" value="'.$autorize['i_sex'].'" class="button" /><br/>';
echo '<select name="nm3"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
if ($autorize['pol'] == 2) {
echo 'Размер груди:<br/>';
echo '<select size="1" name="nm1" class="button">';
for($i = 0; $i <= 3; $i++)
{
$chlen_grud_array = array('-выберите-', 'маленькая', 'средняя', 'большая');
echo '<option value="'.$i.'"';
if($autorize['chlen_grud'] == $i) echo ' selected="selected" ';
echo '>'.$chlen_grud_array[$i].'</option>';
}
echo '</select><br/>';
}
else
{
echo 'Размер члена:<br/>';
echo '<select size="1" name="nm1" class="button">';
for($i = 0; $i <= 4; $i++)
{
$chlen_grud_array = array('-выберите-', 'до 10 см', '10-15 см', '16-20 см', 'больше 20 см');
echo '<option value="'.$i.'"';
if($autorize['chlen_grud'] == $i) echo ' selected="selected" ';
echo '>'.$chlen_grud_array[$i].'</option>';
}
echo '</select><br/>';
}
echo 'Ориентация:<br/>';
echo '<select size="1" name="nm2" class="button">';
for($i = 0; $i <= 3; $i++)
{
$orient_array = array('-выберите-', 'гетеро', 'би', 'гей');
echo '<option value="'.$i.'"';
if($autorize['orient'] == $i) echo ' selected="selected" ';
echo '>'.$orient_array[$i].'</option>';
}
echo '</select><br/>';
echo '<input type="submit" value="Сохранить" class="do_button" />';
echo $class_divz;
echo '</form>';
}
}
else
{
echo $class_d1;
$nm = mysql_escape_string(htmlspecialchars($nm));
$nm = substr($nm, 0, 250);
$nm1 = intval($_POST['nm1']);
$nm2 = intval($_POST['nm2']);
$nm3 = intval($_POST['nm3']);
if($nm3 == 1) $nm = translit($nm);

//-----------
$sql = @mysql_query("UPDATE `love_user` SET `i_sex` = '".$nm."', `chlen_grud` = '".$nm1."', `orient` = '".$nm2."' WHERE `id` = '".intval($autorize['id'])."';");
//-----------
if($sql) { echo 'Данные успешно сохранены!<br/>'; } else { echo 'При сохранении произошла ошибка!<br/>'; echo @mysql_error().'<br/>'; }
echo $class_divz;
}
break;
}
echo $class_d0;
if($mod == '1') echo '---<br/>';
if($up == '0') {
echo '&#171;- <a href="/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
}
else
{
echo '&#171;- <a href="/editprofile.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
}
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d1;
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;
?>